﻿using Infragistics.Olap;
using Infragistics.Olap.Data;
using Infragistics.Olap.FlatData;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PivotGrid_Hierarchies
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            HierarchyDescriptor dateTimeDescriptor = new HierarchyDescriptor { AppliesToPropertiesOfType = typeof(DateTime), HierarchyName = "All the Dates" };

            dateTimeDescriptor.AddLevel<DateTime>(dt => "AllPeriods", "All My Dates");
            dateTimeDescriptor.AddLevel<DateTime>(dt => dt.Year, "Years");
            dateTimeDescriptor.AddLevel<DateTime>(dt => dt.SemesterShort(), "Semesters");
            dateTimeDescriptor.AddLevel<DateTime>(dt => dt.QuarterShort(), "Quarters");
            dateTimeDescriptor.AddLevel<DateTime>(dt => dt.MonthShort(), "Months");
            dateTimeDescriptor.AddLevel<DateTime>(dt => dt.Date.ToShortDateString(), " My Dates");
            ((FlatDataSource)pivotGrid.DataSource).HierarchyDescriptors.Add(dateTimeDescriptor);
        }

        private void FlatDataSource_ResultChanged(object sender, ResultChangedEventArgs e)
        {

        }


    }
}
